Bug 1833755 - KMyMoney can't download certain credit card entries due to aqbanking errors
Summary: KMyMoney can't download certain credit card entries due to aqbanking errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aqbanking
Version: 32
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-10 09:19 UTC by Eric L.
Modified: 2020-05-16 04:57 UTC (History)
3 users (show)

Fixed In Version: aqbanking-6.1.4-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-12 03:07:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric L. 2020-05-10 09:19:51 UTC
Description of problem:

I am impacted by the error described at https://www.aquamaniac.de/rdm/issues/136 (in German, sorry), meaning that I can't download credit card entries from my bank.

Version-Release number of selected component (if applicable):
$ rpm -qa aqbanking gwenhywfar kmymoney
aqbanking-6.0.1-2.fc32.x86_64
kmymoney-5.0.8-2.fc32.x86_64
gwenhywfar-5.1.2-2.fc32.x86_64

How reproducible:
always

Steps to Reproduce:
1. right click on the credit card account
2. select update account (Konto aktualisieren...)

Actual results:
no error message but also no new entries

Expected results:
new credit card entries are downloaded

Additional info:
2 patches necessary to fix the issue are listed in the referenced bug entry, they seem to hint at the fact that aqbanking is fixed in version 6.1.0, so perhaps the patches could be applied to the RPM and/or version 6.1 packaged asap.

https://www.aquamaniac.de/rdm/issues/195 (credit card entries type changed from "unknown", ignored by KMyMoney, to "statement")

https://www.aquamaniac.de/rdm/issues/196 (toDate and fromDate in segment DKKKU seems to have been switched)

Comment 1 Bill Nottingham 2020-05-11 17:58:53 UTC
Please try the 6.1.4 update currently in updates-testing.

Comment 2 Fedora Update System 2020-05-11 19:46:34 UTC
FEDORA-2020-24e4addb7e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-24e4addb7e

Comment 3 Fedora Update System 2020-05-12 03:07:56 UTC
FEDORA-2020-24e4addb7e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Eric Lavarde 2020-05-16 04:57:04 UTC
Confirmed. Thanks a lot!


Note You need to log in before you can comment on or make changes to this bug.